%define url_ver %(echo %{version}|cut -d. -f1,2)

%define major 13
%define gir_major 0.0
%define libname %mklibname gdata %{major}
%define develname %mklibname -d gdata
%define girname %mklibname gdata-gir %{gir_major}

Summary:	Library for the GData protocol
Name:		libgdata
Version:	0.13.3
Release:	2
Group:		System/Libraries
License:	LGPLv2+
URL:		http://live.gnome.org/libgdata
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         libgdata-0.13.0-CVE-2012-1177.diff
BuildRequires:  autoconf automake libtool
BuildRequires:  rootcerts
Requires:       rootcerts
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gcr-base-3)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(oauth) >= 0.9.4

%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package i18n
Summary:	Library for the GData protocol - translations
Group:		System/Internationalization

%description i18n
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol --- most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support.

%package -n %{libname}
Summary:	Library for the GData protocol
Group:		System/Libraries

%description -n %{libname}
This package contains the dynamic libraries from %{name}.

%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains libraries and header files for %{name}.

%prep
%setup -q
#apply_patches
%patch0 -p0 -b .CVE-2012-1177

%build
%configure2_5x \
    --disable-static \
    --with-ca-certs=/etc/pki/tls/certs/ca-bundle.crt

%make

%install
%makeinstall_std
%find_lang gdata

# remove unpackaged files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files i18n -f gdata.lang

%files -n %{libname}
%doc NEWS README AUTHORS
%{_libdir}/libgdata.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/GData-%{gir_major}.typelib

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/gdata/
%{_datadir}/gir-1.0/GData-0.0.gir


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.13.3-2
+ Revision: a5c7ca7
- MassBuild#440: Increase release tag


